Skip to content

# HTTP

`http` outbound is a HTTP CONNECT proxy client.

### Structure

    {
      "type": "http",
      "tag": "http-out",

      "server": "127.0.0.1",
      "server_port": 1080,
      "username": "sekai",
      "password": "admin",
      "path": "",
      "headers": {},
      "tls": {},

      ... // Dial Fields
    }

### Fields

#### server

Required

The server address.

#### server_port

Required

The server port.

#### username

Basic authorization username.

#### password

Basic authorization password.

#### path

Path of HTTP request.

#### headers

Extra headers of HTTP request.

#### tls

TLS configuration, see TLS.

### Dial Fields

See Dial Fields for details.